version: 0.0
os: linux
files:
  - source: scripts
    destination: /opt/codedeploy-scripts
permissions:
  - object: /opt/codedeploy-scripts
    mode: 755
hooks:
  ApplicationStop:
    - location: scripts/stop.sh
      timeout: 180
      runas: root
  AfterInstall:
    - location: scripts/start.sh
      timeout: 600
      runas: root
  ApplicationStart:
    - location: scripts/validate.sh
      timeout: 180
      runas: root
